summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-06-29 20:52:45 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-06-29 23:33:52 +0200
commit2ded88d2a2a7947b715f8bf8a954e0cde3bdcb87 (patch)
tree02d5900384d5fd19e5a33b06cf829d3b4df6ceee
parentmedia-libs/mlt: Drop broken USE ruby support (diff)
downloadgentoo-2ded88d2a2a7947b715f8bf8a954e0cde3bdcb87.tar.gz
gentoo-2ded88d2a2a7947b715f8bf8a954e0cde3bdcb87.tar.bz2
gentoo-2ded88d2a2a7947b715f8bf8a954e0cde3bdcb87.zip
media-libs/mlt: Drop 6.14.0, 6.16.0
Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--media-libs/mlt/Manifest1
-rw-r--r--media-libs/mlt/mlt-6.14.0.ebuild217
-rw-r--r--media-libs/mlt/mlt-6.16.0.ebuild217
3 files changed, 0 insertions, 435 deletions
diff --git a/media-libs/mlt/Manifest b/media-libs/mlt/Manifest
index 61ff0b1eeee..79e016ac566 100644
--- a/media-libs/mlt/Manifest
+++ b/media-libs/mlt/Manifest
@@ -1,3 +1,2 @@
DIST mlt-6.12.0.tar.gz 1395646 BLAKE2B 18dc06c4075d8d51bc7f62d027adda92c359275b9ad2131cc015b4402b1b7a9438fe87b617075017b9fd5e9696b82c4c840fa6dd83188bd0cedb7f01d2158283 SHA512 ed2cc0eeda45558ae6f1ec8780dfd413641953dc12dc32dccf655649f68f8e6088d39fefb7bef7bae042a41096976004446019d82ea162785bc487009cb97680
-DIST mlt-6.14.0.tar.gz 1413015 BLAKE2B 81501c0b770c0be2ccf2dfa12c4ebb893c0e9921f36722e6f5cb8f643d3eaaa4b8eaf4fd87ba05fa55d49960b7147b73ea5f2cf771a6784b587a6797466f2f73 SHA512 86b26b0c421cc881f6bebbde2c0ae9d834f190d8f878fb279ab29a1d7ac5416077b7dd91420bf63a7821fade9ca9c044a92440e02673c7b330b8ff36982a9fb9
DIST mlt-6.16.0.tar.gz 1414374 BLAKE2B 6c031360721d535e95cbaf890c1f42f5f5dd914e0c6c20992bd3aec4ecbcc0b53370fe6b82b5d11c8242bb0a1f2d94f28bc61b4e5a920e5afb41ca8bb5229433 SHA512 554e8b9baa7a8578cc52315fe0583c61762bf6fbbcdd4a1e4f25753846d92f013e7d74745498625fcc781de993aa0526fd761920450b4314e67105783b9bde26
diff --git a/media-libs/mlt/mlt-6.14.0.ebuild b/media-libs/mlt/mlt-6.14.0.ebuild
deleted file mode 100644
index 6d8840ae163..00000000000
--- a/media-libs/mlt/mlt-6.14.0.ebuild
+++ /dev/null
@@ -1,217 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-# TODO python3_{6,7} contrary to 6.14 changelog, still does not build.
-PYTHON_COMPAT=( python2_7 )
-# this ebuild currently only supports installing ruby bindings for a single ruby version
-# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
-# /usr/bin/${USE_RUBY} directly
-USE_RUBY="ruby25"
-inherit python-single-r1 ruby-single toolchain-funcs
-
-DESCRIPTION="Open source multimedia framework for television broadcasting"
-HOMEPAGE="https://www.mltframework.org/"
-SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="compressed-lumas cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 debug ffmpeg fftw frei0r
-gtk jack kdenlive kernel_linux libav libsamplerate lua melt opencv opengl python qt5 rtaudio ruby sdl
-vdpau vidstab xine xml"
-# java perl php tcl
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-SWIG_DEPEND=">=dev-lang/swig-2.0"
-# java? ( ${SWIG_DEPEND} >=virtual/jdk-1.5 )
-# perl? ( ${SWIG_DEPEND} )
-# php? ( ${SWIG_DEPEND} )
-# tcl? ( ${SWIG_DEPEND} )
-BDEPEND="
- virtual/pkgconfig
- compressed-lumas? ( virtual/imagemagick-tools[png] )
- lua? ( ${SWIG_DEPEND} virtual/pkgconfig )
- python? ( ${SWIG_DEPEND} )
- ruby? ( ${SWIG_DEPEND} )"
-#rtaudio will use OSS on non linux OSes
-DEPEND="
- >=media-libs/libebur128-1.2.2
- ffmpeg? (
- libav? ( >=media-video/libav-12:0=[vdpau?] )
- !libav? ( media-video/ffmpeg:0=[vdpau?] )
- )
- fftw? ( sci-libs/fftw:3.0= )
- frei0r? ( media-plugins/frei0r-plugins )
- gtk? (
- media-libs/libexif
- x11-libs/gtk+:2
- x11-libs/pango
- )
- jack? (
- >=dev-libs/libxml2-2.5
- media-libs/ladspa-sdk
- virtual/jack
- )
- libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
- lua? ( >=dev-lang/lua-5.1.4-r4:= )
- opencv? ( >=media-libs/opencv-3.2.0:= )
- opengl? ( media-video/movit )
- python? ( ${PYTHON_DEPS} )
- qt5? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtsvg:5
- dev-qt/qtwidgets:5
- dev-qt/qtxml:5
- media-libs/libexif
- x11-libs/libX11
- )
- rtaudio? (
- >=media-libs/rtaudio-4.1.2
- kernel_linux? ( media-libs/alsa-lib )
- )
- ruby? ( ${RUBY_DEPS} )
- sdl? (
- media-libs/libsdl2[X,opengl,video]
- media-libs/sdl2-image
- )
- vidstab? ( media-libs/vidstab )
- xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
- xml? ( >=dev-libs/libxml2-2.5 )"
-# java? ( >=virtual/jre-1.5 )
-# perl? ( dev-lang/perl )
-# php? ( dev-lang/php )
-# sox? ( media-sound/sox )
-# tcl? ( dev-lang/tcl:0= )
-RDEPEND="${DEPEND}"
-
-DOCS=( AUTHORS ChangeLog NEWS README docs/{framework,melt,mlt{++,-xml}}.txt )
-
-PATCHES=( "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- # respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
- for x in python lua; do
- sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
- done
- sed -i "/^LDFLAGS/s: += :& ${LDFLAGS} :" src/swig/ruby/build || die
-
- sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
-}
-
-src_configure() {
- tc-export CC CXX
-
- local myconf=(
- --enable-gpl
- --enable-gpl3
- --enable-motion-est
- --target-arch=$(tc-arch)
- --disable-kde
- --disable-sdl
- --disable-swfdec
- $(use_enable debug)
- $(use compressed-lumas && echo ' --luma-compress')
- $(use_enable cpu_flags_x86_sse sse)
- $(use_enable cpu_flags_x86_sse2 sse2)
- $(use_enable gtk gtk2)
- $(use_enable jack jackrack)
- $(use_enable ffmpeg avformat)
- $(use ffmpeg && echo ' --avformat-swscale')
- $(use_enable fftw plus)
- $(use_enable frei0r)
- $(use_enable melt)
- $(use_enable opencv)
- $(use_enable opengl)
- $(use_enable libsamplerate resample)
- $(use_enable rtaudio)
- $(use vdpau && echo ' --avformat-vdpau')
- $(use_enable sdl sdl2)
- $(use_enable vidstab vid.stab )
- $(use_enable xml)
- $(use_enable xine)
- $(use_enable kdenlive)
- --disable-sox
- )
- #$(use_enable sox) FIXME
-
- if use qt5 ; then
- myconf+=(
- --enable-qt
- --qt-includedir=$(pkg-config Qt5Core --variable=includedir)
- --qt-libdir=$(pkg-config Qt5Core --variable=libdir)
- )
- else
- myconf+=( --disable-qt )
- fi
-
- if use x86 || use amd64 ; then
- myconf+=( $(use_enable cpu_flags_x86_mmx mmx) )
- else
- myconf+=( --disable-mmx )
- fi
-
- if ! use melt; then
- sed -i -e "s;src/melt;;" Makefile || die
- fi
-
- # TODO: add swig language bindings
- # see also https://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
-
- local swig_lang
- # TODO: java perl php tcl
- for i in lua python ruby ; do
- use $i && swig_lang="${swig_lang} $i"
- done
- [[ -z "${swig_lang}" ]] && swig_lang="none"
-
- econf ${myconf[@]} --swig-languages="${swig_lang}"
-
- sed -i -e s/^OPT/#OPT/ "${S}/config.mak" || die
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- einstalldocs
-
- dodir /usr/share/${PN}
- insinto /usr/share/${PN}
- doins -r demo
-
- docinto swig
-
- # Install SWIG bindings
- if use lua; then
- cd "${S}"/src/swig/lua || die
- exeinto $(pkg-config --variable INSTALL_CMOD lua)
- doexe mlt.so
- dodoc play.lua
- fi
-
- if use python; then
- cd "${S}"/src/swig/python || die
- insinto $(python_get_sitedir)
- doins mlt.py
- exeinto $(python_get_sitedir)
- doexe _mlt.so
- dodoc play.py
- python_optimize
- fi
-
- if use ruby; then
- cd "${S}"/src/swig/ruby || die
- exeinto $("${EPREFIX}"/usr/bin/${USE_RUBY} -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
- doexe mlt.so
- dodoc play.rb thumbs.rb
- fi
- # TODO: java perl php tcl
-}
diff --git a/media-libs/mlt/mlt-6.16.0.ebuild b/media-libs/mlt/mlt-6.16.0.ebuild
deleted file mode 100644
index 6d8840ae163..00000000000
--- a/media-libs/mlt/mlt-6.16.0.ebuild
+++ /dev/null
@@ -1,217 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-# TODO python3_{6,7} contrary to 6.14 changelog, still does not build.
-PYTHON_COMPAT=( python2_7 )
-# this ebuild currently only supports installing ruby bindings for a single ruby version
-# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
-# /usr/bin/${USE_RUBY} directly
-USE_RUBY="ruby25"
-inherit python-single-r1 ruby-single toolchain-funcs
-
-DESCRIPTION="Open source multimedia framework for television broadcasting"
-HOMEPAGE="https://www.mltframework.org/"
-SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE="compressed-lumas cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 debug ffmpeg fftw frei0r
-gtk jack kdenlive kernel_linux libav libsamplerate lua melt opencv opengl python qt5 rtaudio ruby sdl
-vdpau vidstab xine xml"
-# java perl php tcl
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-SWIG_DEPEND=">=dev-lang/swig-2.0"
-# java? ( ${SWIG_DEPEND} >=virtual/jdk-1.5 )
-# perl? ( ${SWIG_DEPEND} )
-# php? ( ${SWIG_DEPEND} )
-# tcl? ( ${SWIG_DEPEND} )
-BDEPEND="
- virtual/pkgconfig
- compressed-lumas? ( virtual/imagemagick-tools[png] )
- lua? ( ${SWIG_DEPEND} virtual/pkgconfig )
- python? ( ${SWIG_DEPEND} )
- ruby? ( ${SWIG_DEPEND} )"
-#rtaudio will use OSS on non linux OSes
-DEPEND="
- >=media-libs/libebur128-1.2.2
- ffmpeg? (
- libav? ( >=media-video/libav-12:0=[vdpau?] )
- !libav? ( media-video/ffmpeg:0=[vdpau?] )
- )
- fftw? ( sci-libs/fftw:3.0= )
- frei0r? ( media-plugins/frei0r-plugins )
- gtk? (
- media-libs/libexif
- x11-libs/gtk+:2
- x11-libs/pango
- )
- jack? (
- >=dev-libs/libxml2-2.5
- media-libs/ladspa-sdk
- virtual/jack
- )
- libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
- lua? ( >=dev-lang/lua-5.1.4-r4:= )
- opencv? ( >=media-libs/opencv-3.2.0:= )
- opengl? ( media-video/movit )
- python? ( ${PYTHON_DEPS} )
- qt5? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtsvg:5
- dev-qt/qtwidgets:5
- dev-qt/qtxml:5
- media-libs/libexif
- x11-libs/libX11
- )
- rtaudio? (
- >=media-libs/rtaudio-4.1.2
- kernel_linux? ( media-libs/alsa-lib )
- )
- ruby? ( ${RUBY_DEPS} )
- sdl? (
- media-libs/libsdl2[X,opengl,video]
- media-libs/sdl2-image
- )
- vidstab? ( media-libs/vidstab )
- xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
- xml? ( >=dev-libs/libxml2-2.5 )"
-# java? ( >=virtual/jre-1.5 )
-# perl? ( dev-lang/perl )
-# php? ( dev-lang/php )
-# sox? ( media-sound/sox )
-# tcl? ( dev-lang/tcl:0= )
-RDEPEND="${DEPEND}"
-
-DOCS=( AUTHORS ChangeLog NEWS README docs/{framework,melt,mlt{++,-xml}}.txt )
-
-PATCHES=( "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- # respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
- for x in python lua; do
- sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
- done
- sed -i "/^LDFLAGS/s: += :& ${LDFLAGS} :" src/swig/ruby/build || die
-
- sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
-}
-
-src_configure() {
- tc-export CC CXX
-
- local myconf=(
- --enable-gpl
- --enable-gpl3
- --enable-motion-est
- --target-arch=$(tc-arch)
- --disable-kde
- --disable-sdl
- --disable-swfdec
- $(use_enable debug)
- $(use compressed-lumas && echo ' --luma-compress')
- $(use_enable cpu_flags_x86_sse sse)
- $(use_enable cpu_flags_x86_sse2 sse2)
- $(use_enable gtk gtk2)
- $(use_enable jack jackrack)
- $(use_enable ffmpeg avformat)
- $(use ffmpeg && echo ' --avformat-swscale')
- $(use_enable fftw plus)
- $(use_enable frei0r)
- $(use_enable melt)
- $(use_enable opencv)
- $(use_enable opengl)
- $(use_enable libsamplerate resample)
- $(use_enable rtaudio)
- $(use vdpau && echo ' --avformat-vdpau')
- $(use_enable sdl sdl2)
- $(use_enable vidstab vid.stab )
- $(use_enable xml)
- $(use_enable xine)
- $(use_enable kdenlive)
- --disable-sox
- )
- #$(use_enable sox) FIXME
-
- if use qt5 ; then
- myconf+=(
- --enable-qt
- --qt-includedir=$(pkg-config Qt5Core --variable=includedir)
- --qt-libdir=$(pkg-config Qt5Core --variable=libdir)
- )
- else
- myconf+=( --disable-qt )
- fi
-
- if use x86 || use amd64 ; then
- myconf+=( $(use_enable cpu_flags_x86_mmx mmx) )
- else
- myconf+=( --disable-mmx )
- fi
-
- if ! use melt; then
- sed -i -e "s;src/melt;;" Makefile || die
- fi
-
- # TODO: add swig language bindings
- # see also https://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
-
- local swig_lang
- # TODO: java perl php tcl
- for i in lua python ruby ; do
- use $i && swig_lang="${swig_lang} $i"
- done
- [[ -z "${swig_lang}" ]] && swig_lang="none"
-
- econf ${myconf[@]} --swig-languages="${swig_lang}"
-
- sed -i -e s/^OPT/#OPT/ "${S}/config.mak" || die
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- einstalldocs
-
- dodir /usr/share/${PN}
- insinto /usr/share/${PN}
- doins -r demo
-
- docinto swig
-
- # Install SWIG bindings
- if use lua; then
- cd "${S}"/src/swig/lua || die
- exeinto $(pkg-config --variable INSTALL_CMOD lua)
- doexe mlt.so
- dodoc play.lua
- fi
-
- if use python; then
- cd "${S}"/src/swig/python || die
- insinto $(python_get_sitedir)
- doins mlt.py
- exeinto $(python_get_sitedir)
- doexe _mlt.so
- dodoc play.py
- python_optimize
- fi
-
- if use ruby; then
- cd "${S}"/src/swig/ruby || die
- exeinto $("${EPREFIX}"/usr/bin/${USE_RUBY} -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
- doexe mlt.so
- dodoc play.rb thumbs.rb
- fi
- # TODO: java perl php tcl
-}